Summary:	An X Window System tool for drawing basic vector graphics
Name:		xfig
Epoch:	 	1
Version:	3.2.9a
Release:	%mkrel 1
License:	MIT
Group:		Graphics/Editors and Converters
URL:		https://www.xfig.org/
Source0:	https://downloads.sourceforge.net/mcj/%{name}-%{version}.tar.xz
Source1:	xfig.png
Source3:	xfig-mini.png
Source4:	xfig-large.png
Patch0:		xfib-desktop.patch

BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xaw3d)
BuildRequires:	pkgconfig(xaw7)
BuildRequires:	pkgconfig(xpm)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(xi)
BuildRequires:	pkgconfig(xft)
BuildRequires:	transfig
Requires:	transfig >= 3.2.8
Requires:	xdg-utils, hunspell
Requires:	netpbm

%description
Xfig is an X Window System tool for creating basic vector graphics,
including Bezier curves, lines, rulers and more.  The resulting
graphics can be saved, printed on PostScript printers or converted to
a variety of other formats (e.g., X11 bitmaps, Encapsulated
PostScript, LaTeX).

You should install xfig if you need a simple program to create vector
graphics.

%prep
%autosetup -p1
# fix perms
find -type d | xargs chmod 755

%build
autoreconf -vi
find Libraries -type d -exec chmod 700 {} \;

export CFLAGS="-DXAW_ARROW_SCROLLBARS %{optflags} -std=gnu17 -fno-strength-reduce -fno-strict-aliasing"

%configure
%make_build

%install
%make_install

# Fix for mdv#42629:
find %{buildroot}%{_docdir}/%{name}/html -type d -exec chmod 755 {} \;
find %{buildroot}%{_docdir}/%{name}/html -type f -exec chmod 644 {} \;

install -m 644 CHANGES README FIGAPPS doc/FORMAT* doc/TODO doc/%{name}-howto.* %{buildroot}%{_docdir}/%{name}

# (fg) 10000918 Icons
install -m 755 -d %{buildroot}%{_iconsdir}/{mini,large}
install -m 644 %{SOURCE1} %{buildroot}%{_iconsdir}
install -m 644 %{SOURCE3} %{buildroot}%{_miconsdir}/%{name}.png
install -m 644 %{SOURCE4} %{buildroot}%{_liconsdir}/%{name}.png
rm -rf %{buildroot}%{_datadir}/pixmaps

%files
%docdir %{_docdir}/%{name}
%{_docdir}/%{name}
%{_bindir}/*
%{_datadir}/applications/org.xfig.%{name}.desktop
%{_datadir}/%{name}/
%{_datadir}/X11/app-defaults/*
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_metainfodir}/org.xfig.%{name}.metainfo.xml
%{_mandir}/man1/%{name}.1*


%changelog
* Sat May 24 2025 daviddavid <daviddavid> 1:3.2.9a-1.mga10
+ Revision: 2186183
- new version: 3.2.9a
- fix build with gcc 15 using -std=gnu17

* Thu Apr 11 2024 ns80 <ns80> 1:3.2.9-1.mga10
+ Revision: 2056552
- new version 3.2.9 for CVE-2023-45920 (mga#33088)

* Sun Jun 11 2023 daviddavid <daviddavid> 1:3.2.8b-3.mga9
+ Revision: 1961794
- remove unmaintained libXp support (fix mga#31867)

* Fri Mar 10 2023 daviddavid <daviddavid> 1:3.2.8b-2.mga9
+ Revision: 1948486
- use upstream desktop and improve it

* Thu Aug 11 2022 neoclust <neoclust> 1:3.2.8b-1.mga9
+ Revision: 1877001
- New version 3.2.8b

* Thu Mar 31 2022 umeabot <umeabot> 1:3.2.7b-2.mga9
+ Revision: 1836087
- Mageia 9 Mass Rebuild

* Tue Mar 03 2020 ns80 <ns80> 1:3.2.7b-1.mga8
+ Revision: 1553430
- new version 3.2.7b

* Fri Feb 14 2020 umeabot <umeabot> 1:3.2.5b-17.mga8
+ Revision: 1518664
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 1:3.2.5b-16.mga7
+ Revision: 1301898
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 1:3.2.5b-15.mga6
+ Revision: 944881
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1:3.2.5b-14.mga5
+ Revision: 741754
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:3.2.5b-13.mga5
+ Revision: 690648
- Mageia 5 Mass Rebuild

* Wed Aug 20 2014 fwang <fwang> 1:3.2.5b-12.mga5
+ Revision: 665883
- cleanup category

* Sat Oct 19 2013 umeabot <umeabot> 1:3.2.5b-12.mga4
+ Revision: 526426
- Mageia 4 Mass Rebuild

* Tue Jun 04 2013 fwang <fwang> 1:3.2.5b-11.mga4
+ Revision: 436917
- fix tag
- rebuild for new libpng

* Tue Apr 09 2013 bersuit <bersuit> 1:3.2.5b-10.mga3
+ Revision: 409196
- Added Require netpbm to fix #7568 (Export images to gif)

* Mon Jan 14 2013 umeabot <umeabot> 1:3.2.5b-9.mga3
+ Revision: 386902
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ boklm <boklm>
- Update group: Graphics/Editors -> Graphics/Editors and Converters

* Tue Dec 04 2012 malo <malo> 1:3.2.5b-8.mga3
+ Revision: 326300
- update RPM group

* Thu Dec 15 2011 fwang <fwang> 1:3.2.5b-7.mga2
+ Revision: 182276
- force use hunspell rather than aspell

* Fri Sep 16 2011 fwang <fwang> 1:3.2.5b-6.mga2
+ Revision: 144214
- add support libpng1.5

* Wed Apr 27 2011 wally <wally> 1:3.2.5b-6.mga1
+ Revision: 92123
- fix desktop file name (mga#954)
- drop buildroot definition

* Thu Mar 10 2011 ennael <ennael> 1:3.2.5b-5.mga1
+ Revision: 67500
- clean spec file
- imported package xfig


* Sat Jan 15 2011 Oden Eriksson <oeriksson@mandriva.com> 1:3.2.5b-5mdv2011.0
+ Revision: 631123
- sync with MDVSA-2011:010

* Sat Dec 04 2010 Oden Eriksson <oeriksson@mandriva.com> 1:3.2.5b-4mdv2011.0
+ Revision: 608204
- rebuild

* Thu Jan 21 2010 Lev Givon <lev@mandriva.org> 1:3.2.5b-3mdv2010.1
+ Revision: 494705
- Fix bug #42629.

* Sun Jan 10 2010 Oden Eriksson <oeriksson@mandriva.com> 1:3.2.5b-2mdv2010.1
+ Revision: 488814
- rebuilt against libjpeg v8

* Tue Sep 08 2009 Lev Givon <lev@mandriva.org> 1:3.2.5b-1mdv2010.0
+ Revision: 433016
- Update to 3.2.5b.
  Remove some old patches that were integrated into the release.

* Sat Aug 15 2009 Oden Eriksson <oeriksson@mandriva.com> 1:3.2.5-6mdv2010.0
+ Revision: 416667
- rebuilt against libjpeg v7

* Sat Mar 28 2009 Funda Wang <fwang@mandriva.org> 1:3.2.5-5mdv2009.1
+ Revision: 361861
- BR xp

  + Michael Scherer <misc@mandriva.org>
    - fix format string error, with patch 6

  + Antoine Ginies <aginies@mandriva.com>
    - rebuild

* Thu Jun 12 2008 Pixel <pixel@mandriva.com> 1:3.2.5-4mdv2009.0
+ Revision: 218427
- rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Wed Mar 12 2008 Lev Givon <lev@mandriva.org> 1:3.2.5-4mdv2008.1
+ Revision: 187025
- Build against Xaw rather than Xaw3D because of problems reported in
  bug 37910.

* Tue Mar 04 2008 Lev Givon <lev@mandriva.org> 1:3.2.5-3mdv2008.1
+ Revision: 178951
- Fix crash problem involving Xaw3D.

* Thu Jan 31 2008 Lev Givon <lev@mandriva.org> 1:3.2.5-2mdv2008.1
+ Revision: 160777
- Bump release to force rebuild.
- Update to 3.2.5 final.

  + Thierry Vignaud <tv@mandriva.org>
    - drop old menu

* Thu Jan 03 2008 Olivier Blin <oblin@mandriva.com> 1:3.2.5-0.11mdv2008.1
+ Revision: 140955
- restore BuildRoot
- manually install additional files in docdir and tag it explicitely (to fix build with "latest" rpm)

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'


* Mon Jan 29 2007 Olivier Thauvin <nanardon@mandriva.org> 3.2.5-0.11mdv2007.0
+ Revision: 114754
- buildrequires
- use new XFree name, aka x11 in buildrequires
- fix man page location on mdv <= 2007.0 (Philippe Weill)

* Fri Oct 13 2006 Götz Waschk <waschk@mandriva.org> 1:3.2.5-0.10mdv2007.1
+ Revision: 63812
- rebuild
- the patches were unpacked, stupid
- unpack patches
- release
- Import xfig

* Thu Oct 05 2006 Götz Waschk <waschk@mandriva.org> 3.2.5-0.6mdv2007.0
- add buffer overflow patch from 2006.0 package

* Thu Oct 05 2006 Götz Waschk <waschk@mandriva.org> 1:3.2.5-0.5mdv2007.0
- drop patch 0 and switch back to Xaw (bug #26246)

* Tue Aug 15 2006 Götz Waschk <waschk@mandriva.org> 1:3.2.5-0.4mdv2007.0
- fix broken patch
- fix builrequires
- use new paths
- xdg menu

* Tue May 09 2006 Stefan van der Eijk <stefan@eijk.nu> 1:3.2.5-0.3mdk
- rebuild for sparc

* Tue Aug 23 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 3.2.5-0.2mdk
- gcc4 fixes

* Mon Mar 28 2005 Daouda LO <daouda@mandrakesoft.com> 3.2.5-0.1mdk
- merged patch4 (David Hawkey's Xaw3D version 1.5E) 
- use www-browser instead of BROWSER var
- fix freeze under KDE/GNOME and other wm (#13607)
- alpha release

* Sat Feb 05 2005 Daouda LO <daouda@mandrakesoft.com> 3.2.4-7mdk
- patched to prevent segfaults when File or Edit menu are clicked (#13366)
  (thanx to mslaviero and emmanuel for pointing this out)

* Thu Dec 02 2004 Abel Cheung <deaddog@mandrake.org> 3.2.4-6mdk
- Fix BuildRequires

* Wed Feb 18 2004 David Baudens <baudens@mandrakesoft.com> 3.2.4-5mdk
- Fix menu

